Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"per_page": 20,
"type": "apiRequest"
}
response = client.tools.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20,
"type": "apiRequest"
}'{
"success": true,
"tools": [
{
"_id": "69f98c2185578cdac8d33010",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e2",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdEldtRt",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T06:20:17.548000",
"method": "GET",
"url": "https://www.google.com",
"name": "Tool 1",
"description": "api request",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Tools
List tools
Returns tools for the current account.
POST
/
tool
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"per_page": 20,
"type": "apiRequest"
}
response = client.tools.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20,
"type": "apiRequest"
}'{
"success": true,
"tools": [
{
"_id": "69f98c2185578cdac8d33010",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e2",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdEldtRt",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T06:20:17.548000",
"method": "GET",
"url": "https://www.google.com",
"name": "Tool 1",
"description": "api request",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for List tools.

